Name:		perl-IO-LockedFile
Version: 	0.23
Release:	1.3
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module IO::LockedFile
URL: 		http://search.cpan.org/CPAN/authors/id/R/RA/RANI/
Source0: 	IO-LockedFile-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl

%if 0%{?fedora_version} >= 7
BuildRequires:	perl-ExtUtils-MakeMaker
%endif

%description
Class - supply object methods for locking files.

%prep
%setup -q -n IO-LockedFile-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorlib}/IO
%dir %{perl_vendorlib}/IO/LockedFile
%{perl_vendorlib}/IO/LockedFile.pm
%{perl_vendorlib}/IO/LockedFile/Flock.pm
%{_mandir}/man3/IO::LockedFile.3pm*
%{_mandir}/man3/IO::LockedFile::Flock.3pm*

%changelog
* Sun May 31 2009 Carsten Schoene <cs@linux-administrator.com> - 0.23
- initial build.
